package user

type adminlevel int

const (
	DDPF_SYSTEM_ADMIN adminlevel = 1 << iota		//1. 系统管理员
	DDPF_SUPERVISOR_ADMIN							//2. 督导管理员
	DDPF_SUPERVISE									//3. 督导
	DDPF_TEACHING_ADMIN								//4. 教学评优管理员
	DDPF_STUDENT_ADMIN								//5. 学生评优管理员
	DDPF_Bachelor_WORKER							//6. 本科工作量审核员
	DDPF_graduate_WORKER							//7. 研究生工作量审核员
	DDPF_College_ADMIN								//8. 学院管理员
	DDPF_TEACHER									//9. 教师
)

// 用户表
type User struct  {
	Id string `json:"id"`		// 用户id
	Name string `json:"name"`	// 用户名
	Account string `json:"account"`	// 用户工号
	Password string `json:"password"` //用户密码
	Role int `json:"role"`	// 用户角色
	Status string `json:"status"` // 用户状态
	Time int64 `json:"time"`	// 创建时间
	College string `json:"college"` // 所在学院
}